Bug 47825 - SLIDESHOW: Show formatted notes in presenter console (Instead of converting to plain text)
Summary: SLIDESHOW: Show formatted notes in presenter console (Instead of converting t...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 97376 99182 124885 155365 (view as bug list)
Depends on:
Blocks: Slide-Show Presenter-Console
  Show dependency treegraph
 
Reported: 2012-03-24 18:00 UTC by ivantsyba
Modified: 2023-06-13 08:49 UTC (History)
16 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample presentation to illustrate Bug 47825 (375.69 KB, application/vnd.oasis.opendocument.presentation)
2012-06-18 06:04 UTC, ivantsyba
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ivantsyba 2012-03-24 18:00:43 UTC
Problem description: 
Presenter console show just raw text from notes, all character and paragraph formatting is ignored.
When you have a lot text in note, you want to format it for better readability, and maybe mark some text bold, when it needed to click and show something new on slide. Presenter console is awesome alternative for paper notes because it always on secondary screen and it automatically changes with slides. But all notes text formatting is ignored.

Steps to reproduce:
1. Launch  slide show on dual screen system. Slides will appear on one screen, presenter console on another.
2. Turn on notes displaying.
3. See unformatted text in notes section (before it, for example, make some text bold in notes)

Current behavior:
unformatted text in Presenter console notes section
Expected behavior:
Presenter console display all text formatting

Sorry for my English
Comment 1 sasha.libreoffice 2012-06-18 05:49:36 UTC Comment hidden (obsolete)
Comment 2 ivantsyba 2012-06-18 06:04:36 UTC
Created attachment 63177 [details]
Sample presentation to illustrate Bug 47825
Comment 3 ivantsyba 2012-06-18 06:05:19 UTC Comment hidden (obsolete)
Comment 4 sasha.libreoffice 2012-06-19 00:37:57 UTC Comment hidden (obsolete)
Comment 5 ivantsyba 2012-06-19 00:46:36 UTC
(In reply to comment #4)
> I am not sure if it is a bug. May be font properties resets for improve
> readability of text of note.

Formatted notes can be very useful in some cases. Can be added as alternative to current plain notes.
Comment 6 bfoman (inactive) 2012-07-03 02:11:22 UTC
Confirmed with:
LO 3.5.4.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Formatted notes are displayed in plain text in Presenter mode, just like in the PowerPoint 2010.
Comment 7 ivantsyba 2012-07-03 02:15:19 UTC
Formatted notes can be an option in presenter console. I think this will be useful in many cases.
Comment 8 Moritz 2013-02-14 16:01:48 UTC
I can confirm this bug for LibreOffice 3.5.4.2 and Presenter Console 1.1.0 both from the Ubuntu 12.04 repositories. 

My only requirement is that the displayed notes should include all newlines from the original notes. Notes are very hard to read if newlines are replaced by spacesm because all structure is lost. Therefore I cannot use Presenter Console and thus LO Impress for some of my presentations until this is resolved.

In principle I really like the Presenter Console and Impress alot.
Comment 9 Aaron Wolf 2013-04-07 03:08:40 UTC
I confirm, this is still present in v. 4 and is a serious issue.

The biggest problem is not recognizing new lines. This makes it very difficult to deal with longer notes or any sort of structure.

It would also be nice to show formatting like bold or italic, although this is definitely lower priority. I hope this can be fixed ASAP
Comment 10 sasha.libreoffice 2013-04-08 04:59:19 UTC Comment hidden (obsolete)
Comment 11 Jorendc 2013-05-19 15:32:08 UTC Comment hidden (obsolete)
Comment 12 Andrzej Hunt 2014-02-02 21:29:53 UTC
I can't reproduce the new-line issue on master (unfortunately I can't test
with 4.0 or 4.1 right now as the distro provided version has a busted
presenter console) -- there's been a lot of work on the presenter console since
3.5, so might have been fixed in the meantime?

However the formatting is a separate issue to the new-lines that's definitely
still in existence.
Comment 13 vivideo 2014-08-14 09:56:06 UTC Comment hidden (obsolete)
Comment 14 Andrzej Hunt 2014-08-14 10:31:44 UTC Comment hidden (obsolete)
Comment 15 vivideo 2014-08-14 12:22:56 UTC
(In reply to comment #14)
> (In reply to comment #13)
> 
> > Not only the plain text extract in the console mode is an issue, also the
> > format options are poor.
> 
> Sorry, could you please be more precise about what you mean with "format
> options are poor"?>

I expected all text format options to function. While creating on a test-document for (additional) bug report, the basic functions operated normal, without failures, so I somehow messed up the original presentation I was working on.

> 
> > Sometimes notes aren't showing up at all with just
> > little custom made adjustments..
> 
> That would be a separate (even if related) issue -- please could you add a
> new bug for this (and attach a sample document to that for easy
> reproduction)?
>
As mentioned: in the quick made test document I wasn't able to mess it up, meaning all notes were at least displayed (as plain text) in the presentation console mode. 

Back to the original bug report: I think the correct display of notes in the console is a serious issue, not just a "medium enhancement". What do others think?

Cheers!
Comment 16 flavi0 2015-08-16 14:33:25 UTC
> Back to the original bug report: I think the correct display of notes in the
> console is a serious issue, not just a "medium enhancement". What do others
> think?

I definitely consider this a serious issue as well. Having completely unstructured notes is definitely not worth much, since during presentation you want to look at your audience, wander around, look at the projected screen, and quickly glimpse at your notes again while talking. Having no way of structuring them makes quickly spotting where you left really difficult. If at least the spacing was preserved that would already make a huge difference.

What I will do for now, as a workaround, is introduce some CAPITALIZATION and plain-text bullet points like *** to have at least something to orient oneself towards. However, properly rendering the notes as they are formatted in the notes view is a vital requirement for future versions in my opinion.
Comment 17 flavi0 2015-08-16 14:51:44 UTC
What I'm doing to get around this is now something like:

*** HEADING1
point1
point2
<space>
*** HEADING2
etc.

Since only completely empty lines are removed, the <space> after the bullet points actually introduces a newline (thanks to Nicd- for the tip!). Not beautiful but helps for now. Just keeping regular newlines or even proper formatting with bullet points etc. would of course still be preferrable.
Comment 18 Robinson Tryon (qubit) 2015-12-14 07:20:38 UTC Comment hidden (obsolete)
Comment 19 Timur 2019-12-06 18:18:10 UTC
*** Bug 97376 has been marked as a duplicate of this bug. ***
Comment 20 Timur 2019-12-06 18:25:01 UTC
*** Bug 124885 has been marked as a duplicate of this bug. ***
Comment 21 Timur 2019-12-06 18:30:07 UTC
*** Bug 99182 has been marked as a duplicate of this bug. ***
Comment 22 Timur 2019-12-06 18:53:32 UTC
Solving this one would resolve workaround bugs as bug 117445.
Comment 23 PhLinuX 2020-11-10 10:01:17 UTC Comment hidden (no-value)
Comment 24 Timur 2020-11-10 11:51:24 UTC
(In reply to PhLinuX from comment #23)
> Is there any plan to get it fixed?
LO is volunteer driven. Can be fixed if you do it yourself, find someone do it for free or for pay - or just wait as long as it takes until someone does it. 
This question is no-value in this bug for at least 14 people.
Comment 25 PhLinuX 2020-11-10 15:54:40 UTC
My question is may be with no value but at least, it shows what is the "state of the art" in 2020, 8 years after this issue was opened.
Sorry Timur to ask a question. I just would try to be informed.
Unfortunately, I probably not be able to fix it but if someone tell me where to find the concerned TDB source file I could have a look on it and see what I could do.
Thx
Comment 26 Gabor Kelemen (allotropia) 2023-06-11 13:34:42 UTC
*** Bug 155365 has been marked as a duplicate of this bug. ***
Comment 27 Eyal Rozenberg 2023-06-11 18:30:21 UTC
So, does it make more sense to _always_ format the notes, or have a binary configuration option of formatted notes Y/N ?
Comment 28 PhLinuX 2023-06-12 08:49:25 UTC
A binary option "Notes formatted Y/N" is interesting, but I would be curious to know when these notes, as they are currently rendered, are really used without problems. __always__ seems to me to be preferable.
Without going as far as word processing, I think that minimal formatting (bold, line breaks, bullets...) would be welcome if only to be able to read the notes correctly and efficiently during a presentation.
Comment 29 Heiko Tietze 2023-06-12 13:03:11 UTC
What reason could make it necessary to show plain text only (other than implementation effort)? If there are none I suggest to preserve at least color, weight, and size in the presenter notes.
Comment 30 Thomas Cameron 2023-06-12 13:24:30 UTC
I will say that, as a technical trainer, I have to go through 13-15 modules of anywhere from 30-70 pages each EVERY TIME I download the latest version of the slides (which is pretty much every week). I have to change newline to newline plus a space. I have to replace all of the bullet points with dashes. I spend a SIGNIFICANT amount of time every week editing my slides. It is genuinely painful for me to do this.

If there is ANYONE who can fix this, it would be a massive win for me. I know I'm only one user, but this bug has been open for 11 years, and it seems like there are a lot of other folks who are experiencing it. See https://bugs.documentfoundation.org/show_bug.cgi?id=155365 for an example of a document which displays the problems. 

Help me, Obi-Wan Kenobi. You're my only hope.
Comment 31 V Stuart Foote 2023-06-12 16:08:10 UTC
(In reply to Heiko Tietze from comment #29)
> What reason could make it necessary to show plain text only (other than
> implementation effort)? If there are none I suggest to preserve at least
> color, weight, and size in the presenter notes.

Obviously there is no *necessity* for the Presenter console Notes pane to render slide notes with none of their formatting.  But we do, that is the crux of it.

The edit shell used for to the notes applies none if the "Notes" presentation styling at all, nor any applied DF, it just renders the text strings--sometimes run together (depending on how authored).

Even modifying the "Notes" presentation style, or the "notes format" from the 'Master Notes' view (e.g. setting paragraph to Right aligned) have no effect--simply put the text runs are rendered to the Notes pane of the Presenter console with none of the layout when created from the editing mode.

At a minimum -- responding to color, weight, and size of the notes are needed. But I'd add linebreak and indentation as well.

However, it really seems the "Notes" frame in the Presenter console should be a WYSIWYG representation and render the notes equivalent to their rendering when in edit mode.